Subject: Re: bug#43610: IceCat segfault

From: raingloom <[email-masked]>
Date: Fri, 2 Oct 2020 00:57:39 +0200

On Sun, 27 Sep 2020 16:36:52 -0400
Mark H Weaver <[email-masked]> wrote:

> Hi,
> 
> raingloom <[email-masked]> writes:
> 
> > On Sat, 26 Sep 2020 14:05:53 -0400
> > Mark H Weaver <[email-masked]> wrote:
> >  
> >> In the meantime, to start IceCat 78 with your existing profile but
> >> with addons temporarily disabled, try running:
> >> 
> >>   icecat -safe-mode
> >> 
> >> That should allow you to recover your existing bookmarks, history,
> >> cookies, saved passwords, tabs, etc.  Then you can try adding back
> >> your preferred addons incrementally to find out which one is
> >> causing the problem.  
> >
> > It still crashes with the -safe-mode flag. Luckily I keep most
> > things outside modern browsers, so it's not a huge loss. (For
> > obvious reasons I do not consider them reliable.)  
> 
> If you'd like to try another experiment, it would be interesting to
> know if you're able to recover most of your old profile by running
> "icecat -safe-mode -p", selecting your old profile, and clicking on
> the "Refresh IceCat" button that is presented.  That will reset all
> preferences to the IceCat defaults, but might enable you to recover
> the things I listed above.

What I tried was running the old IceCat and disabling every single
addon. It did not fix anything.
Gonna see if my about:config modifications are messing something up.

I hate these "modern" (transl.: google approved) browsers so fricking
much...